void mem_init(void);
void mem_update(void);

typedef struct mem_struct
{
    long memtotal;
    long swaptotal;
    long memused;
    long memused_max;
    long memused_min;
    char memused_max_time[len_time];
    char memused_min_time[len_time];
    long swapused;
    long swapused_max;
    long swapused_min;
    char swapused_max_time[len_time];
    char swapused_min_time[len_time];
    long memfree;
    long memfree_max;
    long memfree_min;
    char memfree_max_time[len_time];
    char memfree_min_time[len_time];
    long memshared;
    long memshared_max;
    long memshared_min;
    char memshared_max_time[len_time];
    char memshared_min_time[len_time];
    long buffers;
    long buffers_max;
    long buffers_min;
    char buffers_max_time[len_time];
    char buffers_min_time[len_time];
    long cached;
    long cached_max;
    long cached_min;
    char cached_max_time[len_time];
    char cached_min_time[len_time];
    long swapfree;
    long swapfree_max;
    long swapfree_min;
    char swapfree_max_time[len_time];
    char swapfree_min_time[len_time];
} mem_struct;
